#!/usr/bin/perl
##
# p4 to Main
# Quick integration script for integrating a dev branch to main
#
# Install
# In p4v select Tools -> Manage Custom Tools
# Select New -> Tool
#   Under 
#       Name:                               p4ToMain
#       Add to applicable context menus:    YES
#       Application:                        /home/sah5056/ws_w1/build/MAIN/tools/p4ToMain.pl
#       Arguments:                          %D
#       Start In:                           /home/sah5056/ws_w1/build/MAIN
#       Run tool in terminal:               this is up to you!
#       Refresh P4V upon completion:        YES
#       Press OK 
#       And Press OK again!
#
#       Right click on a DEV BRANCH p4ToMain should now be visable!
#
#       Email: <david.cluytens_ext@softathome.com>
##
use strict;

my $p4From = $ARGV[0];
my $p4To;

if ($p4From =~ /^(.*)\/DEV\/.*\/\.\.\.$/) {
    $p4To = $1 . "/MAIN/...";
}

print "p4 integrate -d -o $p4From $p4To\n";
system("p4 integrate -d -o $p4From $p4To");
exit $?;
