#!/usr/bin/perl

# Regenerate all defconfig files under
# specified directory
# Needs to be called from build dir

$trgdir = shift;

@targets = `find $trgdir -name defconfig`;

foreach my $trg (@targets) {
	chomp $trg;
	$trg =~ m/(.*)\/defconfig.*/;
	$trg = $1;
	print "Regenerating $trg\n";
	if (-e ".config") {
		system("rm .config");
	}
	system("./build.sh $trg nobuild regendefconfig");
	system("make oldconfig");
	if (-e ".config") {
		system("p4 edit	$trg/defconfig");
		system("cp .config $trg/defconfig");
	} else {
		print ">>>>>>>>>>> Configuration is BROKEN <<<<<<<<<<\n";
	}		
}
