#include <linux/module.h>

#include <linux/mc_accel.h>

int (*mc_accel_hook)(struct sk_buff *skb) = NULL;

int mc_accel(struct sk_buff *skb)
{
	if (mc_accel_hook)
		return mc_accel_hook(skb);
	return ESRCH;
}

EXPORT_SYMBOL(mc_accel_hook);
EXPORT_SYMBOL(mc_accel);

