/*
 * Copyright (c) 2011 SoftAtHome
 *
 * The information and source code contained herein is the exclusive
 * property of SoftAtHome and may not be disclosed, examined, or
 * reproduced in whole or in part without explicit written authorization
 * of the copyright owner.
 *
 */
#ifndef __NEMO_CLIENT_UTIL_H__
#define __NEMO_CLIENT_UTIL_H__

#include <pcb/utils.h>
#include <pcb/core.h>

const char *nemo_intf2path(const char *intf);

bool nemo_request_invoke(request_t *req);

const variant_t *nemo_request_returnValue(request_t *req);

void nemo_argument_valueAddChar(argument_value_list_t *args, const char *name, const char *value);
void nemo_argument_valueAddUInt16(argument_value_list_t *args, const char *name, uint16_t value);

#endif
