#ifndef MOCK_H
#define MOCK_H

#include <sahtest/sahtest.h>

mock_struct_begin(openlog)
    mock_struct_add(const char *ident)
    mock_struct_add(int field)
mock_struct_end(openlog)

bool open_log_hasUnexpectedInput();

mock_struct_begin(open)
    mock_struct_add(const char *pathname)
    mock_struct_add(int flags)
    mock_struct_add(int fd)
mock_struct_end(open)

mock_struct_begin(dup2)
    mock_struct_add(int fd)
mock_struct_end(dup2)

mock_struct_begin(getenv)
    mock_struct_add(const char *varname)
    mock_struct_add(const char *value)
mock_struct_end(getenv)

mock_struct_begin(vsyslog)
    mock_struct_add(int priority)
mock_struct_end(vsyslog)

#endif // MOCK_H
