#ifndef TEST_OPEN_CLOSE_H
#define TEST_OPEN_CLOSE_H

void test_open_close_setup();
void test_open_close_teardown();

int test_open_stdout();
int test_open_stderr();
int test_open_syslog();
int test_open_file();
int test_open_file_fails();
int test_open_file_dup_fails();
int test_open_twice();
int test_close_twice();

sahtest_group_begin(open_close, test_open_close_setup, test_open_close_teardown)
    sahtest_add_test(test_open_stdout,"Test opening tracing to stdout")
    sahtest_add_test(test_open_stderr,"Test opening tracing to stderr")
    sahtest_add_test(test_open_syslog,"Test_opeming tracing to syslog")
    sahtest_add_test(test_open_file,"Test opening tracing to a file")
    sahtest_add_test(test_open_file_fails,"Test opening of trace file fails")
    sahtest_add_test(test_open_file_dup_fails,"Test opening of trace file, dup of file descriptor fails")
    sahtest_add_test(test_open_twice,"Test opening trace facility twice")
    sahtest_add_test(test_close_twice,"Test closing trace facility twice")
sahtest_group_end()

#endif // TEST_CMD_ARG_PARSING_H
