#ifndef USERMNGT_PRIV_H
#define USERMNGT_PRIV_H

#define INITOK(R) do {                                                  \
    usermngt_checkChanges();                                            \
    int error = usermngt_getLastError();                                \
    if (error) {                                                        \
      SAH_TRACEZ_ERROR("usermngt", "error initializing library: %s", strerror(error)); \
      errno = error;                                                    \
      return R;                                                         \
    }                                                                   \
  } while (0)

void usermngt_checkChanges();
int usermngt_getLastError();

#endif
