BIN_DIRS = /bin /sbin /usr/sbin /usr/bin /usr/blue /etc_ro_fs/ppp
FORCE_LIBS := ./lib/crti.o ./lib/crtn.o

include $(STAGINGDIR)/components.config

all:

clean:

install:
	@echo "Installing to: " $(STAGINGDIR)
	$(INSTALL) -d $(STAGINGDIR)/lib

	$(INSTALL) -m 555 lib/ld-uClibc-0.9.28.so $(STAGINGDIR)/lib
	ln -sf ld-uClibc-0.9.28.so $(STAGINGDIR)/lib/ld-uClibc.so.0

	$(INSTALL) -m 444 lib/libc.a $(STAGINGDIR)/lib
	ln -sf libc.a $(STAGINGDIR)/lib/libc_pic.a

	$(INSTALL) -m 444 lib/libcrypt-0.9.28.so $(STAGINGDIR)/lib
	ln -sf libcrypt-0.9.28.so $(STAGINGDIR)/lib/libcrypt.so.0
	ln -sf libcrypt.so.0  $(STAGINGDIR)/lib/libcrypt.so
	$(INSTALL) -m 444 lib/libcrypt.a $(STAGINGDIR)/lib
	ln -sf libcrypt.a $(STAGINGDIR)/lib/libcrypt_pic.a

	ln -sf ld-uClibc-0.9.28.so $(STAGINGDIR)/lib/libc.so.0
	ln -sf libc.so.0 $(STAGINGDIR)/lib/libc.so

	$(INSTALL) -m 444 lib/libdl-0.9.28.so $(STAGINGDIR)/lib
	ln -sf libdl-0.9.28.so $(STAGINGDIR)/lib/libdl.so.0
	ln -sf libdl.so.0 $(STAGINGDIR)/lib/libdl.so
	$(INSTALL) -m 444 lib/libgcc_s.so.1 $(STAGINGDIR)/lib
	ln -sf libgcc_s.so.1 $(STAGINGDIR)/lib/libgcc_s.so

	$(INSTALL) -m 444 lib/libm-0.9.28.so $(STAGINGDIR)/lib
	ln -sf libm-0.9.28.so $(STAGINGDIR)/lib/libm.so.0
	ln -sf libm.so.0 $(STAGINGDIR)/lib/libm.so
	$(INSTALL) -m 444 lib/libm.a $(STAGINGDIR)/lib
	ln -sf libm.a $(STAGINGDIR)/lib/libm_pic.a

	$(INSTALL) -m 444 lib/libnsl-0.9.28.so $(STAGINGDIR)/lib
	ln -sf libnsl-0.9.28.so $(STAGINGDIR)/lib/libnsl.so.0
	ln -sf libnsl.so.0 $(STAGINGDIR)/lib/libnsl.so
	$(INSTALL) -m 444 lib/libnsl.a $(STAGINGDIR)/lib
	ln -sf libnsl.a $(STAGINGDIR)/lib/libnsl_pic.a

	$(INSTALL) -m 444 lib/libpthread-0.9.28.so $(STAGINGDIR)/lib
	ln -sf libpthread-0.9.28.so $(STAGINGDIR)/lib/libpthread.so.0
	ln -sf libpthread.so.0 $(STAGINGDIR)/lib/libpthread.so
	$(INSTALL) -m 444 lib/libpthread.a $(STAGINGDIR)/lib
	ln -sf libpthread.a $(STAGINGDIR)/lib/libpthread_pic.a

	$(INSTALL) -m 444 lib/libresolv-0.9.28.so $(STAGINGDIR)/lib
	ln -sf libresolv-0.9.28.so $(STAGINGDIR)/lib/libresolv.so.0
	ln -sf libresolv.so.0 $(STAGINGDIR)/lib/libresolv.so
	$(INSTALL) -m 444 lib/libresolv.a $(STAGINGDIR)/lib
	ln -sf libresolv.a $(STAGINGDIR)/lib/libresolv_pic.a

	$(INSTALL) -m 444 lib/librt-0.9.28.so $(STAGINGDIR)/lib
	ln -sf librt-0.9.28.so $(STAGINGDIR)/lib/librt.so.0
	ln -sf librt.so.0 $(STAGINGDIR)/lib/librt.so
	$(INSTALL) -m 444 lib/librt.a $(STAGINGDIR)/lib
	ln -sf librt.a $(STAGINGDIR)/lib/librt_pic.a

	$(INSTALL) -m 444 lib/libstdc++.so.6.0.3 $(STAGINGDIR)/lib
	ln -sf libstdc++.so.6.0.3 $(STAGINGDIR)/lib/libstdc++.so.6
	ln -sf libstdc++.so.6.0.3 $(STAGINGDIR)/lib/libstdc++.so
	$(INSTALL) -m 444 lib/libstdc++.a $(STAGINGDIR)/lib
	ln -sf libstdc++.a $(STAGINGDIR)/lib/libstdc++_pic.a

	$(INSTALL) -m 444 lib/libthread_db-0.9.28.so $(STAGINGDIR)/lib
	ln -sf libthread_db-0.9.28.so $(STAGINGDIR)/lib/libthread_db.so.1
	$(INSTALL) -m 444 lib/libthread_db.a $(STAGINGDIR)/lib
	ln -sf libthread_db.a $(STAGINGDIR)/lib/libthread_db_pic.a

	$(INSTALL) -m 444 lib/libuClibc-0.9.28.so $(STAGINGDIR)/lib

release:
ifeq ($(SAH_TOOLCHAIN_GDBSERVER),y)
	$(INSTALL) -o root -g root -d -m 755 $(ROOT_FS_DIR)/bin
	$(INSTALL) -o root -g root -m 755 target_bin/gdbserver $(ROOT_FS_DIR)/bin
endif
