/*
 * ============================================================================
 *
 * Copyright : (c) 2005 SAGEM SA - Site Velizy - URD2
 *
 * The information and source code contained herein is the exclusive
 * property of SAGEM and may not be disclosed, examined, or
 * reproduced in whole or in part without explicit written authorization
 * of the company.
 *
 * ============================================================================
 */

/**
 * \file bsp_board.c Bsp Board functions
 *
 * This file contain all Bsp Board functions.
 */

/*
 * Includes
 * ~~~~~~~~
 */

#include "bsp_pri.h"

/*
 * Functions
 * ~~~~~~~~~
 */

/** Get BoardType. */
bsp_board_type_e bsp_get_boardType(	void)
{
	/* Param */
	return(bsp_base.Board.Cur.boardType);
}
EXPORT_SYMBOL(bsp_get_boardType);

/** Get BoardInfo. */
bsp_board_info_e bsp_get_boardInfo(	void)
{
	/* Param */
	return(bsp_base.Board.Cur.boardInfo);
}
EXPORT_SYMBOL(bsp_get_boardInfo);

// vim:ts=5:
