/*
 * ============================================================================
 *
 * Copyright : (c) 2005 SAGEM SA - Site Velizy - URD2
 *
 * The information and source code contained herein is the exclusive
 * property of SAGEM and may not be disclosed, examined, or
 * reproduced in whole or in part without explicit written authorization
 * of the company.
 *
 * ============================================================================
 */

#ifndef __BSP_LED_H__
#define __BSP_LED_H__

/**
 * \file bsp_led.h Bsp Led description.
 *
 * This file allow to describe Bsp Led.
*/

/*
 * Includes
 * ~~~~~~~~
 */

#include "linux/khco_led_api.h"
#include "../drivers/char/led/led_local.h"

/*
 * Functions
 * ~~~~~~~~~
 */

/** Set Led state. */
int kSysLedCtrl(	BOARD_LED_NAME 	_led,
				BOARD_LED_STATE	_state);

#endif

// vim:ts=5:
