/*
 * Copyright (c) 2011 SoftAtHome
 *
 * The information and source code contained herein is the exclusive
 * property of SoftAtHome and may not be disclosed, examined, or
 * reproduced in whole or in part without explicit written authorization
 * of the copyright owner.
 *
 * Author : Dries De Winter (dries.dewinter@softathome.com)
 *
 */
#include <stdio.h>

#include "mafia/backtrace.h"

#include "libexample.h"

static void h() {
	void *bt[10];
	int btlen = backtrace(bt, 10);
	printf("backtrace_dump:\n");
	backtrace_dump(bt, btlen, fileno(stdout), BACKTRACE_FORMAT_GLIBC);
	printf("\nbacktrace_symbols_fd:\n");
	backtrace_symbols_fd(bt, btlen, fileno(stdout));
}

static void g() {
	h();
}

static void f() {
	g();
}

int main(void) {
	libexample_f(f);
	return 0;
}
