/*
 * Copyright (c) 2011 SoftAtHome
 *
 * The information and source code contained herein is the exclusive
 * property of SoftAtHome and may not be disclosed, examined, or
 * reproduced in whole or in part without explicit written authorization
 * of the copyright owner.
 *
 * Author : Dries De Winter (dries.dewinter@softathome.com)
 *
 */
#include <stdlib.h>

static void libexample_g(void (*func)(void)) {
	if (!func)
		exit(-1);
	func();
}

void libexample_f(void (*func)(void)) {
	libexample_g(func);
}

void libexample_fail(void) {
	libexample_g(NULL);
}

