/*
 * Copyright (c) 2011 SoftAtHome
 *
 * The information and source code contained herein is the exclusive
 * property of SoftAtHome and may not be disclosed, examined, or
 * reproduced in whole or in part without explicit written authorization
 * of the copyright owner.
 *
 */
#include <stdlib.h>
#include <string.h>
#include <stdio.h>

#include <debug/sahtrace.h>

#include <pcb/utils.h>
#include <pcb/core.h>

#include "nemo/client.h"
#include "client/util.h"

void nemo_setWLANConfig(const char *intf, variant_map_t *mibs) {
	request_t *req = request_create_executeFunction(nemo_intf2path(intf), "setWLANConfig",
			request_common_path_key_notation | request_function_args_by_name);
	if (mibs)
		request_addMapParameter(req, "mibs", mibs);
	nemo_request_invoke(req);
	request_destroy(req);
}
