#!/usr/bin/env bash

DIRECTORY=$(cd `dirname $0` && pwd)
cd $DIRECTORY

. ../shell_unit.sh
. ../testsources.sh

# testplan local_standalone
testplan remote
# testplan local_standalone
# testplan remote_standalone

pcb_dm_r_testplan()
{
    export SAHTRACE=200
    run_c_tests ./unittests/test_local_object.so "Test implementation of a local data model"

    run_test_done
}

if [[ $0 == $BASH_SOURCE ]]; then
    run_testplan pcb_dm_r_testplan
fi    

