#ifndef PARSE_ENV_VARS_H
#define PARSE_ENV_VARS_H

void test_parse_env_setup();
void test_parse_env_teardown();

int test_trace_zones_without_levels();
int test_trace_zones_with_levels();
int test_trace_zones_with_levels_in_separate_env();

sahtest_group_begin(parse_env_vars, test_parse_env_setup, test_parse_env_teardown)
    sahtest_add_test(test_trace_zones_without_levels,"Test parsing of env var SAH_TRACE_ZONES")
    sahtest_add_test(test_trace_zones_with_levels,"Test parsing of env var SAH_TRACE_ZONES with levels")
    sahtest_add_test(test_trace_zones_with_levels_in_separate_env,"Test parsing of env var SAH_TRACE_ZONES with levels in separate zones")
sahtest_group_end()

#endif // PARSE_ENV_VARS_H
