#include <sahtest/sahtest.h>

#include "open_close.h"
#include "parse_env_vars.h"
#include "write_message.h"
#include "trace_level.h"
#include "trace_zones.h"

sahtest_group_begin(sah_lib_sahtrace,NULL,NULL)
    sahtest_add_group(open_close,"Test opening and closing of trace facility")
    sahtest_add_group(trace_zones,"Test adding and removing trace zones")
    sahtest_add_group(trace_levels,"Test setting and getting trace levels")
    sahtest_add_group(parse_env_vars,"Test parsing SAH_TRACE_ZONES env variable")
    sahtest_add_group(write_msg,"Test writing messages to log add different levels")
sahtest_group_end()

int main(int argc, char *argv[]) {
    return sahtest_run(argc,argv,sahtest_group(sah_lib_sahtrace));
}

