#ifndef TRACE_LEVEL_H
#define TRACE_LEVEL_H

void test_level_setup();
void test_level_teardown();

int test_set_and_verify_level();
int test_set_and_verify_level_using_zone();
int test_set_level_for_not_actvated_zone();

sahtest_group_begin(trace_levels, test_level_setup, test_level_teardown)
    sahtest_add_test(test_set_and_verify_level,"Test setting the global trace level and verify it")
    sahtest_add_test(test_set_and_verify_level_using_zone,"Test setting a zone's trace level and verify it")
    sahtest_add_test(test_set_level_for_not_actvated_zone,"Test setting trace level for zone that is not added")
sahtest_group_end()


#endif // TRACE_LEVEL_H
