#ifndef TRACE_ZONES_H
#define TRACE_ZONES_H

void test_trace_zones_setup();
void test_trace_zones_teardown();

int test_adding_trace_zone();
int test_removing_trace_zone();
int test_trace_zone_iteration();
int test_add_3_zones_remove_last();
int test_add_3_zones_remove_first();
int test_add_3_zones_remove_middle();
int test_add_same_zone_twice();
int test_remove_same_zone_twice();

sahtest_group_begin(trace_zones, test_trace_zones_setup, test_trace_zones_teardown)
    sahtest_add_test(test_adding_trace_zone,"Test adding trace zone")
    sahtest_add_test(test_removing_trace_zone,"Test removing trace zone")
    sahtest_add_test(test_trace_zone_iteration,"Test iterating over the trace zones")
    sahtest_add_test(test_add_3_zones_remove_last,"Test adding 3 zones and remove last")
    sahtest_add_test(test_add_3_zones_remove_first,"Test adding 3 zones and remove first")
    sahtest_add_test(test_add_3_zones_remove_middle,"Test adding 3 zones and remove middle")
    sahtest_add_test(test_add_same_zone_twice,"Test adding a zone twice")
    sahtest_add_test(test_remove_same_zone_twice,"Test removing a zone twice")
sahtest_group_end()

#endif // TRACE_ZONES_H
