#ifndef WRITE_MESSAGE_H
#define WRITE_MESSAGE_H

void test_write_msg_setup();
void test_write_msg_teardown();

int test_write_msgs_level_100();
int test_write_msgs_level_200();
int test_write_msgs_level_300();
int test_write_msgs_level_400();
int test_write_msgs_level_500();
int test_write_msgs_using_added_zone_500();
int test_write_msgs_using_added_zone_0();
int test_write_msgs_using_zone();

sahtest_group_begin(write_msg, test_write_msg_setup, test_write_msg_teardown)
    sahtest_add_test(test_write_msgs_level_100,"Test writing messages at different levels with level set to 100")
    sahtest_add_test(test_write_msgs_level_200,"Test writing messages at different levels with level set to 200")
    sahtest_add_test(test_write_msgs_level_300,"Test writing messages at different levels with level set to 300")
    sahtest_add_test(test_write_msgs_level_400,"Test writing messages at different levels with level set to 400")
    sahtest_add_test(test_write_msgs_level_500,"Test writing messages at different levels with level set to 500")
    sahtest_add_test(test_write_msgs_using_added_zone_500,"Test writing messages with zone and zone activated at level 500")
    sahtest_add_test(test_write_msgs_using_added_zone_0,"Test writing messages with zone and zone activated at level 0")
    sahtest_add_test(test_write_msgs_using_zone,"Test writing messages with zone and zone not activated")
sahtest_group_end()

#endif // WRITE_MESSAGE_H
