# include components.config 
-include $(STAGINGDIR)/components.config

VERSION="$(notdir $(realpath .))"
DOCDIR ?= doc

export VERSION DOCDIR

all:
	$(MAKE) -C src

clean:
	$(MAKE) -C src clean

install:	
	$(INSTALL) -d $(STAGINGDIR)/lib \
		      $(STAGINGDIR)/include/usermngt $(PKG_CONFIG_LIBDIR)
	$(INSTALL) -m 755 src/libusermngt.a $(STAGINGDIR)/lib
	$(INSTALL) -m 755 src/libusermngt-auth.a $(STAGINGDIR)/lib
	$(INSTALL) -m 644 -p include/usermngt/usermngt.h $(STAGINGDIR)/include/usermngt
	$(INSTALL) -m 644 -p include/usermngt/auth.h $(STAGINGDIR)/include/usermngt
	$(INSTALL) -m 644 usermngt.pc $(PKG_CONFIG_LIBDIR)
	$(INSTALL) -m 644 usermngt-auth.pc $(PKG_CONFIG_LIBDIR)

release:

test:

doc:

	doxygen doc/libusermngt.doxy


.PHONY: test release install clean doc all
