/*
 * xt_IMARK.h    Inheritance Marking user module
 *
 * Copyright (c) 2008-2010 France Telecom - Orange Labs - All rights reserved
 * 
 * Author: Frederic Leroy <frederic1.leroy@orange-ftgroup.com>
 * 
 */
#ifndef _XT_IMARK_TG_H
#define _XT_IMARK_TG_H

#define IMARK_DIR_LAN2WAN    0
#define IMARK_DIR_WAN2LAN    1
#define IMARK_SET_PRIORITY   2
#define IMARK_WAIT_ANSWER    4

#define IMARK_DIR            1

struct xt_imark_tginfo {
	u_int8_t flags;
};

#endif /*_XT_IMARK_TG_H */
