# include components.config
STAGINGDIR = $$(STAGINGDIR)

!isEmpty(STAGINGDIR):include ($$(STAGINGDIR)/components.config)
else:error(STAGINGDIR environment variable not defined)

TARGET = pcb_serialize_odl
TEMPLATE = lib
CONFIG -= qt
CONFIG += shared \
          dll \
          debug

SOURCES = $$system(ls pcb_serialize_odl/*.c) 

PUBLIC_HEADERS = 

PRIVATE_HEADERS = $$system(ls pcb_serialize_odl/*.h)

contains(CONFIG_SAH_TRACES_ENABLED,y):DEFINES += SAHTRACES_ENABLED

# remove this line to enable debugging functions
DEFINES += NDEBUG

INCLUDEPATH += include \
               $$(STAGINGDIR)/include
DESTDIR = .
HEADERS = $$PUBLIC_HEADERS \
          $$PRIVATE_HEADERS

LIBS += -L$$(STAGINGDIR)/lib \
        -lsahtrace \
        -ldl \
        -lcrypt

EXTRA_FILES=pcb_serialize_odl/objectloader.l \
            pcb_serialize_odl/objectloader.y